# Pay notification

Send this notification after successfully charging a user.

Endpoint: POST /push-payments/pay
Version: 1.0.0

## Request fields (application/json):

  - `project_id` (integer, required)
    Project ID.

  - `payment` (object, required)

  - `payment.geotype_id` (integer, required)
    Distributor partner ID on the Xsolla's side.

  - `payment.amount` (number, required)
    Amount of payment.

  - `payment.currency` (string)
    Currency of the order. Virtual currency uses the SKU and real currency uses a three-letter [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) code.

  - `payment.ps_transaction_id` (string)
    Transaction ID on the distribution partner’s side.

  - `payment.project_transaction_id` (string)
    Transaction ID on the game developer’s side.

  - `purchase` (object, required)

  - `purchase.order_id` (integer, required)
    Order ID.

  - `user` (object, required)

  - `user.id` (string, required)
    Unique user identifier in the game.

  - `user.email` (string)
    User email address.

  - `user.phone` (string)
    User phone number.

  - `user.ps_account_id` (string)
    User's payment account ID on the distribution partner’s side.

## Response 200 fields (application/json):

  - `payment_id` (integer)


## Response 400 fields

## Response 403 fields

## Response 404 fields

## Response 409 fields

## Response 422 fields

## Response 500 fields
